//	Copyright:	 1995 by Apple Computer, Inc., All rights reserved.
//	Release Version:	$ 1.0d11 $

#ifndef SAMPLEDEF_H
#define SAMPLEDEF_H

// Uncomment the following three lines, and define them appropriately!!
// If your part can be a container for other parts, define FW_SUPPORTS_EMBEDDING
// to be 1.  Otherwise define it to be 0.
// If your part defines any ODExtensions, define FW_SUPPORTS_EXTENSIONS to be
// 1 to enable the extensions manager.  Otherwise, define it to be 0.
// If your part is scriptable, define FW_SUPPORTS_SCRIPTING to be 1. Otherwise,
// define it to be zero.  Note that if your part is scriptable is must support
// extensions, so FW_SUPPORTS_EXTENSIONS must be defined to be 1.

#define FW_SUPPORTS_EMBEDDING 0
#define FW_SUPPORTS_EXTENSIONS 0
#define FW_SUPPORTS_SCRIPTING 0

//===================================================
// Kind
#define kSampleKind "+//ISO 9070/ANSI::113722::US::CI LABS::DevUniv:Kind:Sample"

// Category
#define kSampleCategory "DevUniv:Category:Sample"

// Class ID
#define kSampleEditor "DevUniv::Sample"

// Editor User String
#define kSampleEditorUserString "Sample 1.0"

// Kind User String
#define kSampleKindUserString "Sample"

// Category User String
#define kSampleCategoryUserString "None"

// Sample OSType
#define kSampleOSType 'DFMK'

#define kNMAPid						127
#define kKindCategoryMapId			kNMAPid+1
#define kEditorKindMapId			kNMAPid+2
#define kEditorUserStringMapId		kNMAPid+3
#define kKindUserStringMapId		kNMAPid+4
#define kCategoryUserStringMapId	kNMAPid+5
#define kOldMacOSTypeMapId			kNMAPid+6

//===================================================
// Menus
#define kSampleMenu 5

// Strings
#define kSampleStringsResID 			1000
	#define kSampleMenuString 			1
		#define kGreetingItemString 	2
		#define kGoodbyeItemString 		3
		#define kTestItemString 		4

#define kGreetingString 5
#define kGoodbyeString 6
#define kMacString 7
#define kWinString 8

#ifdef FW_BUILD_MAC
#define kPlatformString 	kMacString
#endif
#ifdef FW_BUILD_WIN
#define kPlatformString 	kWinString
#endif

#define kAboutBoxStringsResID 		1001
	#define kAboutMenuString 		1
	#define kSamplePartString 		2
	#define kCreditString 			3

// About box Alert ID
#define kSampleAboutBoxID  5000

// PICT ID
#define kODFpictResID  		2000

// Icon ID
#define kPartIconID		129		// [HLX] new

//===================================================
#endif

